using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.WebControls;

public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadChart1.Clear();
        RadChart1.Title1.Text = "Sales";
        RadChart1.XAxis.AutoScale = false;
        RadChart1.XAxis.ValueFormat = ChartValueFormat.ShortDate;
        RadChart1.XAxis.LayoutStyle = ChartAxisLayoutStyle.Inside;
        DateTime today = DateTime.Today;
        double start = today.ToOADate(); 
        double end = today.AddDays(6).ToOADate();
        RadChart1.XAxis.AddRange(start, end, 1);
        ChartSeries series1 = new ChartSeries("Sales", System.Drawing.Color.Red, ChartSeriesType.Line);
        Random rand = new Random();
        for (int i = 0; i < 7; i++)
        {
            series1.AddItem(rand.Next(0, 20));
            if (i%2 > 0)
            {
                RadChart1.XAxis.Items[i].Label = "";
            }
        }
        RadChart1.AddChartSeries(series1);
        
    }
}
